import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)
import java.awt.Color;

/**
 * A piano that can be played with the computer keyboard.
 * 
 * @author: M. Kolling
 * @version: 0.1
 */
public class Piano extends World
{ private String[] whiteKeys =
    {"a", "s" , "d" , "f" , "g" , "h" , "j" ,"k" , "l" , ";" , "'", 
        "\\" };
        private String[] whiteNotes =
        {"lawl" , "blame" , "yi" , "dancing" , "delete" , "different" , "evil" , "freedom" , "getmad" , "goodbye" , 
            "takelemon" , "great" }; 
            private String[] blackKeys =
        { "W", "E", "", "T", "Y", "U", "", "O", "P", "", "]" }; 
    private String[] blackNotes =
        { "heymoron", "ono", "lawl", "likepotato", "nicepotato", "nolemonade", "", "nono", "nospace", "", "potato" }; 
    /**
     * Make the piano.
     */
    public Piano() 
    {
        super(800, 340, 1);
       makeKeys();
       showMessage();
    } 
    private void makeKeys()
    {
        for(int i = 0; i < whiteKeys.length; i++) {
            Key key = new Key(whiteKeys[i], whiteNotes[i]+".wav", "white-key.png", "white-key-down.png");
            addObject(key, 54 + (i*63), 140);
        }
        for(int i = 0; i < whiteKeys.length-1; i++) {
            if( ! blackKeys[i].equals("") ) {
                Key key = new Key(blackKeys[i], blackNotes[i]+".wav", "black-key.png", "black-key-down.png");
                addObject(key, 85 + (i*63), 86);
      
       
}
}
}
 public void showMessage()
    {
        GreenfootImage bg = getBackground();
        bg.setColor(Color.WHITE);
        bg.drawString("Click 'Run', then use your keyboard to play", 25, 320);
    }
    
}